package com.base.datarecovery.fragment

import android.content.Intent
import com.base.datarecovery.activity.FileScanActivity
import com.base.datarecovery.bean.ConstObject.SCAN_DOCUMENTS
import com.base.datarecovery.bean.ConstObject.SCAN_PHOTOS
import com.base.datarecovery.bean.ConstObject.SCAN_VIDEOS
import com.base.datarecovery.databinding.FragmentHomeBinding
import com.base.datarecovery.help.BaseFragment

class HomeFragment : BaseFragment<FragmentHomeBinding>() {

    override val binding: FragmentHomeBinding by lazy {
        FragmentHomeBinding.inflate(layoutInflater)
    }

    override fun setView() {

    }

    override fun setListener() {

        binding.llRyPhotos.setOnClickListener {
            startActivity(Intent(requireContext(), FileScanActivity::class.java).apply {
                putExtra("Type", SCAN_PHOTOS)
            })
        }
        binding.llRyDocuments.setOnClickListener {
            startActivity(Intent(requireContext(), FileScanActivity::class.java).apply {
                putExtra("Type", SCAN_DOCUMENTS)
            })
        }
        binding.llRyVideos.setOnClickListener {
            startActivity(Intent(requireContext(), FileScanActivity::class.java).apply {
                putExtra("Type", SCAN_VIDEOS)
            })
        }
    }

}